Create Project
Create a new project. A project is a vessel to group applications, roles and authorizations. Every project belongs to exactly one organization, but can be granted to other organizations for self-management of their authorizations.
Required permission:
project.create
Header Parameters
Define the version of the Connect protocol
1Define the timeout, in ms
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://loading/zitadel.project.v2.ProjectService/CreateProject" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{ "organizationId": "string", "name": "string" }'{
"projectId": "string",
"creationDate": "2023-01-15T01:30:15.01Z"
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}Was this page helpful?
Add Project Role
Add Project Role: Add a new project role to a project. The key must be unique within the project. Required permission:
Create Project Grant
Create Project Grant: Grant a project to another organization. The project grant will allow the granted organization to access the project and manage the authorizations for its users. Required permission: